Bug 54584 - gnorpm web find always fails to download packages
gnorpm web find always fails to download packages
Product: Red Hat Linux
Classification: Retired
Component: gnorpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-10-12 19:43 EDT by Greg Corson
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-25 03:00:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Greg Corson 2001-10-12 19:43:40 EDT
Description of Problem:
When using web find feature of gnorpm, the download of packages ALWAYS 
fails.  Downloading same files from same address using a browser works ok.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. run gnorpm-auth or gnorpm
2. click web find
3. Try to install any package on the list (I was trying to install ddd)

Actual Results:
Couldn't download files
appears in the status area of the gnorpm window

Expected Results:
files should have downloaded and installed

Additional Information:
 This is a very annoying problem because it occurrs on every system in our 
lab, and many people here are not that Linux literate, relying on gnorpm to get 
packages installed, resolve dependancies...etc.
Comment 1 Mike A. Harris 2001-10-23 06:34:00 EDT
Are you behind a firewall?
Comment 2 Greg Corson 2001-10-23 13:38:07 EDT
Yes, we have a company firewall but it transparently passes HTTP and FTP 
traffic (browsers/ftp programs require no special setup).  I'm downloading from 
the redhat site using NCFTP right now, default settings.  Konqueror, 
Mozilla...etc also work without any firewall/proxy settings.

I have tried using Konqueror to go to the same URL gnorpm fails on, Konqueror 
has no problems downloading, gnorpm fails.

gnorpm has no trouble getting the RPM package list or the "query" info on any 
of the RPMs, the fail only happens when you try to do a download/install of a 
Comment 3 Mike A. Harris 2002-01-18 06:19:58 EST
I do not think gnorpm supports downloads behind a firewall like that.

Comment 4 Mike A. Harris 2002-01-25 03:00:26 EST
Reassigning to current package owner: hp
Comment 5 Havoc Pennington 2002-02-26 15:52:29 EST
Probably needs to use passive mode ftp?

Suggest using up2date instead - currently deferring most gnorpm bugs since we
are trying to spend time replacing it rather than repairing it.

Note You need to log in before you can comment on or make changes to this bug.